using System;

namespace Kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string rec = Console.ReadLine();
            string zabrec = Console.ReadLine();
            char p = zabrec[0];
            int n = zabrec.Length,br = 0,br2 = 0;
            string pomoc = "";
            foreach(char c in rec)
            {
                if(c == p)
                {
                    br++;
                    if (br < n)
                        pomoc += c;
                    else
                    {
                        pomoc += '*';
                        br2++;
                    }
                }
                else
                    pomoc += c;
            }
            Console.WriteLine(br2);
            Console.WriteLine(pomoc);
        }
    }
}